/*
 * Copyright (C) 2012 Red Hat, Inc.  All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Authors: Radek Novacek <rnovacek@redhat.com>
 */

#ifndef SETTING_PRIVATE_H
#define SETTING_PRIVATE_H

#include "setting.h"

typedef char DNSServer;
typedef struct DNSServers DNSServers;
LIST_DECL(DNSServer, dns_server)

typedef char SearchDomian;
typedef struct SearchDomians SearchDomians;
LIST_DECL(SearchDomian, search_domain)

struct Setting
{
    SettingType type;
    ProtocolType protocol_type;
    char *id;
    char *caption;
    char *address;
    uint8_t prefix;
    char *default_gateway;
    char *clientID;

    DNSServers *dns_servers;
    SearchDomians *search_domains;
};

#endif
